ResourcesFeedback

Search feedback

Search feedback with filters, search terms, includes, and sort instructions in a JSON request body.

Search feedback with filters, search terms, includes, and sort instructions in a JSON request body.

POST
/v1/feedback/search

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://sell.app/api/v1/feedback/search" \  -H "Content-Type: application/json" \  -d '{    "filters": [      {        "field": "id",        "operator": "=",        "value": 1      }    ],    "sort": [      {        "field": "created_at",        "direction": "desc"      }    ]  }'
{
  "data": [
    {
      "id": 1,
      "feedback": "POSITIVE",
      "rating": 5,
      "deleted_at": null,
      "created_at": "2022-12-12T12:12:12.000000Z",
      "updated_at": "2022-12-12T12:12:12.000000Z",
      "listing_id": 1,
      "invoice_id": 1,
      "store_id": 1,
      "metadata": null,
      "message": "This product changed my life. My ex-wife wanted me back, my kids started talking to me, and my boss gave me a raise too!",
      "reply": "The power of selling your soul to the Illuminati!",
      "is_automatic": 1
    }
  ],
  "links": {},
  "meta": {}
}